org.apache.commons.ssl

## Class Version.CompileTime

- java.lang.Object
- - org.apache.commons.ssl.Version.CompileTime

Enclosing class:
  Version

    private static class Version.CompileTime
    extends java.lang.Object

Searches through a jar file to the find the most recent timestamp of all the class files.

### Field Summary

Fields
`private static java.text.DateFormat` `DF`
`private static java.lang.String` `DF_FORMAT`
`private static java.lang.String` `PATTERN`
`private static java.lang.String` `PREFIX`

### Constructor Summary

Constructors
`private` `Version.CompileTime()`

### Method Summary

Methods
`static java.lang.String` `formatVersion(java.lang.String version, java.lang.String compileTime)`
`static java.util.Date` `getCompileTime(java.lang.String resource)`
`static java.lang.String` `getCompileTimeString(java.lang.Class clazz)`
`private static java.lang.String` `getCompileTimeString(java.lang.String resource)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### PATTERN

    private static final java.lang.String PATTERN

See Also:
  Constant Field Values

#### PREFIX

    private static final java.lang.String PREFIX

See Also:
  Constant Field Values

#### DF_FORMAT

    private static final java.lang.String DF_FORMAT

See Also:
  Constant Field Values

#### DF

    private static final java.text.DateFormat DF

### Constructor Detail

#### Version.CompileTime

    private Version.CompileTime()

### Method Detail

#### getCompileTimeString

    public static java.lang.String getCompileTimeString(java.lang.Class clazz)

#### getCompileTimeString

    private static java.lang.String getCompileTimeString(java.lang.String resource)

#### getCompileTime

    public static java.util.Date getCompileTime(java.lang.String resource)
                                         throws java.io.IOException

Throws:
  `java.io.IOException`

#### formatVersion

    public static java.lang.String formatVersion(java.lang.String version,
                                 java.lang.String compileTime)